Module javafx.base
Package javafx.event

## Interface EventHandler<T extends Event>

- Type Parameters:
    `T` - the event class this handler can handle
  All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `WeakEventHandler`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface EventHandler<T extends Event>
      extends EventListener

  Handler for events of a specific class / type.
  Since:
    JavaFX 2.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(T event)` | Invoked when a specific event of the type for which this handler is registered happens.

- - ### Method Detail

    - #### handle

          void handle​(T event)

      Invoked when a specific event of the type for which this handler is registered happens.
      Parameters:
        `event` - the event which occurred